Bug 146073 - cron fails with pam_access
cron fails with pam_access
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: vixie-cron (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Vas Dias
Brock Organ
:
Depends On:
Blocks: 163882
  Show dependency treegraph
 
Reported: 2005-01-25 00:55 EST by Andrew Taylor
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version: 4.1-21
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-05 04:24:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrew Taylor 2005-01-25 00:55:21 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3)
Gecko/20041020

Description of problem:
When using the pam_access module, cron fails for user jobs.  In
particular, this shows up in the logs every time the cronjob should run:

pam_access[6093]: couldn't get the tty name
crond[6093]: Critical error - immediate abort

pam_access is enabled by (for example) adding the following to
/etc/pam.d/system_auth:
account     required      /lib/security/$ISA/pam_access.so
This causes the rules in /etc/security/access.conf will be enforced.

A google search turned up the issue, along with a possible resolution,
in debian linux: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=254845

Version-Release number of selected component (if applicable):
vixie-cron-4.1-20_FC3

How reproducible:
Always

Steps to Reproduce:
1. add "account required /lib/security/$ISA/pam_access.so" to
/etc/pam.d/system_auth
2. create a cronjob for a user
3. wait ;)
    

Actual Results:  The error is logged in /var/log/messages.

Expected Results:  The cronjob should have run.

Additional info:
Comment 1 Jason Vas Dias 2005-01-25 09:51:08 EST
Yes, thanks - I'll fix this in the next release (vixie-cron-4.1-21_FC3).
Comment 2 Jason Vas Dias 2005-01-25 11:44:07 EST
This is now done and fixed in vixie-cron-4.1-21_FC3, which will shortly
be pushed to FC3 updates. Meanwhile, you can download it from:
   http://people.redhat.com/~jvdias/CRON/FC3 
Comment 3 Andrew Taylor 2005-01-25 16:32:07 EST
I've tested the new package, and can confirm it solves the problem. 
Thanks for the speedy resolution!
Comment 10 Jason Vas Dias 2005-07-20 14:07:49 EDT
This bug is fixed with vixie-cron-4.1-33+ (current release vixie-cron-4.1-36.EL4,
available from http://people.redhat.com/~jvdias/cron/RHEL-4/4.1-36.EL4/) and
is scheduled for release in RHEL-4-U2 .
 

Note You need to log in before you can comment on or make changes to this bug.